<?xml version="1.0" ?>
<odoo>
    <data>

        <record id="tpstst_view_company_form" model="ir.ui.view">
            <field name="name">res.company.form</field>
            <field name="model">res.company</field>
            <field name="priority">99999</field>
            <field name="inherit_id" ref="base.view_company_form"/>
            <field name="arch" type="xml">
                <sheet position="replace">
                    <sheet>
                        <field name="logo" widget="image" class="oe_avatar"/>
                        <div class="oe_title">
                            <label for="name" class="oe_edit_only"/>
                            <h1>
                                <field name="name" class="oe_inline"/>
                            </h1>
                        </div>
                        <notebook colspan="4">
                            <page string="General Information" name="general_info">
                                <group>
                                    <group>
                                        <field name="uen_no" required="1"/>
                                        <field name="charity_no" required="1"/>
                                        <label for="street" string="Address / 地址"/>
                                        <div class="o_address_format">
                                            <field name="street" placeholder="Street..." class="o_address_street" required="1"/>
                                            <field name="street2" placeholder="Street 2..." class="o_address_street"/>
                                            <div class="o_row">
                                                <field name="zip" required="1" placeholder="ZIP" class="o_address_zip"/>
                                                <field name="country_id" required="1" placeholder="Country" class="o_address_zip" options='{"no_open": True, "no_create": True}'/>
                                            </div>
                                        </div>
                                        <field name="website" widget="url" placeholder="e.g. www.tigernix.com"/>
                                    </group>
                                    <group>
                                        <field name="gst_no"/>
                                        <newline/>
                                        <field name="phone" string-="TEL" required="1" widget="phone"/>
                                        <field name="fax" required="1"/>
                                        <field name="email" string="Email" widget="email" required="1"/>
                                        <field name="currency_id" options="{'no_create': True}" id="company_currency"/>
                                        <field name="parent_id" groups="base.group_multi_company"/>
                                        <field name="sequence" invisible="1"/>
                                    </group>
                                </group>
                            </page>
                            <page string="General Configuration" name="general_config">
                                <group colspan="4" col="4">
                                    <separator string="Users" colspan="4" groups="base.group_system"/>
                                    <field name="max_users"/>
                                    <newline/>
                                </group>
                                <group string="Term &amp; Conditions" colspan="4" col="4">
                                    <field name="default_membership_term_id" required="1"/>
                                    <field name="default_associate_membership_term_id" required="1"/>
                                    <field name="default_event_term_id" required="1"/>
                                    <field name="default_donation_term_id" required="1"/>
                                    <field name="default_tablet_term_id" required="1"/>
                                    <field name="default_niche_term_id" required="1"/>
                                    <field name="default_tablet_in_advance_term_id" required="1"/>
                                    <field name="default_niche_in_advance_term_id" required="1"/>
                                </group>
                                <group string="Report Configuration" colspan="4" col="4">
                                    <field name="default_treasurer_id" required="1"/>
                                    <field name="default_auditor_id" required="1"/>
                                </group>
                            </page>
                            <page string="Accounting Configuration" name="account_config">
                                <group colspan="4" col="4">
                                    <separator string="Journal Configuration" colspan="4"/>
                                    <field name="membership_journal_id" required="True"/>
                                    <field name="donation_journal_id" required="True"/>
                                    <field name="event_journal_id" required="True"/>
                                    <field name="niche_journal_id" required="True"/>
                                    <field name="tablet_journal_id" required="True"/>
                                    <newline/>
                                </group>
                                <group string="Funds Configuration" colspan="4" col="4">
                                    <field name="default_charity_fund_id" required="True"/>
                                    <field name="default_medical_fund_id" required="True"/>
                                    <field name="default_festival_fund_id" required="True"/>
                                    <field name="default_trunk_fund_id" required="True"/>
                                    <field name="default_other_fund_id" required="True"/>
                                    <field name="default_niche_fund_id" required="True"/>
                                    <field name="default_membership_fund_id" required="True"/>
                                    <field name="default_tablet_fund_id" required="True"/>
                                    <field name="default_event_fund_id" required="True"/>
                                </group>
                                <group string="Account Configuration" colspan="4" col="4">
                                    <field name="donation_income_account_id" required="True"/>
                                    <field name="donation_receivable_account_id" required="True"/>
                                    <field name="membership_income_account_id" required="True"/>
                                    <field name="membership_receivable_account_id" required="True"/>
                                    <field name="niche_income_account_id" required="True"/>
                                    <field name="niche_receivable_account_id" required="True"/>
                                    <field name="tablet_income_account_id" required="True"/>
                                    <field name="tablet_receivable_account_id" required="True"/>
                                    <field name="event_income_account_id" required="True"/>
                                    <field name="event_receivable_account_id" required="True"/>
                                    <field name="purchase_adv_income_account_id" required="True"/>
                                    <field name="purchase_adv_receivable_account_id" required="True"/>
                                </group>
                            </page>
                            <page string="Membership Notification Configuration" name="membership_notification_config">
                                <group colspan="4" col="4" name="membership_notification" string="Membership Notification">
                                    <field name="membership_email" required="1"/>
                                </group>
                                <group colspan="4" col="4" name="membership_interval_notification" string="Membership Interval Notification">
                                </group>
                            </page>
                            <page string="Event Notification Configuration"  name="event_notification_config">
                                <group colspan="4" col="4" name="event_notification" string="Event Notification">
                                    <field name="event_email" required="1"/>
                                </group>
                                <group colspan="4" col="4" name="event_interval_notification" string="Event Interval Notification">
                                </group>
                            </page>
                            <page string="Donation Notification Configuration"  name="donation_notification_config">
                                <group name="donation_notification" string="Donation Notification">
                                    <field name="donation_email" required="1"/>
                                </group>
                                <group colspan="4" col="4" name="donation_interval_notification" string="Donation Interval Notification">
                                </group>
                            </page>
                            <page string="User Configuration" name="user_config">
                                <group colspan="4" col="4" groups="base.group_system">
                                    <group colspan="2" name="tigernix_admin" string="Tigernix Admin Support">
                                        <group colspan="2">
                                            <field name="tigernix_admin_ids" nolabel="1">
                                                <form string="Tigernix Admin Support">
                                                    <sheet>
                                                        <group colspan="4" col="4">
                                                            <field name="name"/>
                                                            <field name="email"/>
                                                        </group>
                                                    </sheet>
                                                </form>
                                                <tree>
                                                    <field name="name"/>
                                                    <field name="email"/>
                                                </tree>
                                            </field>
                                        </group>
                                    </group>
                                </group>
                            </page>
                        </notebook>
                    </sheet>
                </sheet>
            </field>
        </record>

        <!-- Companies -->
        <record id="action_res_company_tpstst" model="ir.actions.act_window">
            <field name="name">Company</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">res.company</field>
            <field name="view_type">form</field>
            <field name="domain">[]</field>
            <field name="view_id" ref="base.view_company_tree"/>
            <field name="help"></field>
        </record>
        
        <record id="action_res_company_tree_view" model="ir.actions.act_window.view">
            <field eval="0" name="sequence"/>
            <field name="view_mode">tree</field>
            <field name="view_id" ref="base.view_company_tree"/>
            <field name="act_window_id" ref="action_res_company_tpstst"/>
        </record>

        <record id="action_res_company_form_view" model="ir.actions.act_window.view">
            <field eval="10" name="sequence"/>
            <field name="view_mode">form</field>
            <field name="view_id" ref="v11_tpstst_custom.tpstst_view_company_form"/>
            <field name="act_window_id" ref="action_res_company_tpstst"/>
        </record>


        <!-- Term and Conditions -->

        <record id="view_term_and_condition_tree" model="ir.ui.view">
            <field name="name">view.term.and.condition.tree</field>
            <field name="model">term.and.condition</field>
            <field name="arch" type="xml">
                <tree string="Tree view" create="true">
                    <field name="name"/>
                </tree>
            </field>
        </record>

        <record id="view_term_and_condition_form" model="ir.ui.view">
            <field name="name">view.term.and.condition.form</field>
            <field name="model">term.and.condition</field>
            <field name="arch" type="xml">
                <form string="Form View" create="true">
                    <sheet>
                        <group>
                            <group>
                                <field name="name" required="1" placeholder="E.g. Membership Term &amp; Conditions"/>
                            </group>
                        </group>
                        <notebook>
                            <page string="Term &amp; Conditions">
                                <field name="description" nolabel="1" widget="html"/>
                            </page>
                        </notebook>
                    </sheet>
                </form>
            </field>
        </record>

        <record id="action_term_and_condition" model="ir.actions.act_window">
            <field name="name">Term and Conditions List</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">term.and.condition</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
        </record>

    </data>
</odoo>
